using UnityEngine;
using System.Collections;
using Framework.Entities;

public class MaroLogic : CoreBehaviour
{
    protected override void InnerAwake()
    {
    }

    protected override void InnerUpdate()
    {
        if (GameObject.FindObjectsOfType<PersonResponsive>().Length != 1)
        {
            GetComponent<PersonResponsive>().dialogFile = "MaroDialogs";
            this.transform.position = GameObject.Find("MaroPos1").transform.position;
        }
        else
        {
            GetComponent<PersonResponsive>().dialogFile = "MaroFreeDialogs";
            this.transform.position = GameObject.Find("MaroPos2").transform.position;
        }
    }
}
